curl --request GET \
--url https://api.skulabs.com/purchase_order/get_single \
--header 'Authorization: Bearer <token>'{
"purchase_order": {
"_id": "507f1f77bcf86cd799439011",
"number": "<string>",
"status": "closed",
"account_id": "<string>",
"distributor_id": "<string>",
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"details": {},
"time": "2025-01-15T12:00:00.000Z"
}
],
"items": [
{
"item_id": "<string>",
"kit_id": "<string>",
"sku": "<string>",
"name": "<string>",
"quantity": 123,
"received": 123,
"cost": 123,
"rate": 123,
"type": "item",
"serial_numbers": [
"<string>"
],
"description": "<string>",
"unit": "<string>"
}
],
"custom_items": [
{}
],
"custom_adjustments": [
{
"name": "<string>",
"amount": 123
}
],
"tracking": [
{}
],
"subtotal": 123,
"total": 123,
"tax": 123,
"tax_per": 123,
"shipping": 123,
"discount": 123,
"due_date": "2025-01-15",
"arrival_date": "2025-01-15",
"closed_date": "2025-01-15",
"metadata": {},
"discount_per": 123,
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"store_id": "507f1f77bcf86cd799439011",
"warehouse_id": "<string>",
"memo": "<string>",
"currency": "<string>",
"terms": "<string>",
"method": "<string>",
"order_number": "<string>",
"dropship_address": {},
"dropshipped": true,
"bol_pro_numbers": [
"<string>"
]
}
}Retrieve a single purchase order by its ID.
curl --request GET \
--url https://api.skulabs.com/purchase_order/get_single \
--header 'Authorization: Bearer <token>'{
"purchase_order": {
"_id": "507f1f77bcf86cd799439011",
"number": "<string>",
"status": "closed",
"account_id": "<string>",
"distributor_id": "<string>",
"log": [
{
"user_id": "507f1f77bcf86cd799439011",
"action": "<string>",
"details": {},
"time": "2025-01-15T12:00:00.000Z"
}
],
"items": [
{
"item_id": "<string>",
"kit_id": "<string>",
"sku": "<string>",
"name": "<string>",
"quantity": 123,
"received": 123,
"cost": 123,
"rate": 123,
"type": "item",
"serial_numbers": [
"<string>"
],
"description": "<string>",
"unit": "<string>"
}
],
"custom_items": [
{}
],
"custom_adjustments": [
{
"name": "<string>",
"amount": 123
}
],
"tracking": [
{}
],
"subtotal": 123,
"total": 123,
"tax": 123,
"tax_per": 123,
"shipping": 123,
"discount": 123,
"due_date": "2025-01-15",
"arrival_date": "2025-01-15",
"closed_date": "2025-01-15",
"metadata": {},
"discount_per": 123,
"tags": [
"507f1f77bcf86cd799439011",
"507f1f77bcf86cd799439012"
],
"store_id": "507f1f77bcf86cd799439011",
"warehouse_id": "<string>",
"memo": "<string>",
"currency": "<string>",
"terms": "<string>",
"method": "<string>",
"order_number": "<string>",
"dropship_address": {},
"dropshipped": true,
"bol_pro_numbers": [
"<string>"
]
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Purchase order ID
Projection fields object, e.g. { "name": 1 }
Additional options
Single purchase order
Show child attributes